# Binary

Property Type: `binary`

A `binary` property represents a raw buffer. For uploads and data with associated mimes such as video and images, use a File property. Scripting buffer objects can be natively stored and retrieved using the `raw` outputEncoding.

### Property Options

| Name          | Type           | Default | Description                                                                                                                                |
| ------------- | -------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| serializeData | outputEncoding | base64  | <p>The encoding used to output the buffer (into a script or out through rest api). Valid values are:<br>base64, hex, array, utf8, raw.</p> |
| maxSize       | Integer        | 1000    | The maximum buffer size in bytes, up to 1MB.                                                                                               |

**Base property options not available:**

* array
* uniqueValues
* indexed
* unique

### Property Validators

**Required**\
name: `required`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.medable.com/cortex-api/objects-definition/object-properties/binary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
